CamelVTrashFolder
3
CAMEL Library

# CamelVTrashFolder

## Synopsis

    #define             CAMEL_VTRASH_NAME
    #define             CAMEL_VJUNK_NAME
                        CamelVTrashFolder;
    enum                camel_vtrash_folder_t;
    CamelFolder*        camel_vtrash_folder_new             (CamelStore *parent_store,
                                                             camel_vtrash_folder_t type);

## Description

## Details

### CAMEL_VTRASH_NAME

    #define CAMEL_VTRASH_NAME ".#evolution/Trash"

### CAMEL_VJUNK_NAME

    #define CAMEL_VJUNK_NAME ".#evolution/Junk"

### CamelVTrashFolder

    typedef struct {
    	CamelVeeFolder parent;

    	enum _camel_vtrash_folder_t type;
    	guint32 bit;
    } CamelVTrashFolder;

### enum camel_vtrash_folder_t

    typedef enum _camel_vtrash_folder_t {
    	CAMEL_VTRASH_FOLDER_TRASH,
    	CAMEL_VTRASH_FOLDER_JUNK,
    	CAMEL_VTRASH_FOLDER_LAST
    } camel_vtrash_folder_t;

### camel_vtrash_folder_new ()

    CamelFolder*        camel_vtrash_folder_new             (CamelStore *parent_store,
                                                             camel_vtrash_folder_t type);

Create a new CamelVTrashFolder object.

`parent_store` :

  the parent CamelVeeStore object

`type` :

  type of vfolder, CAMEL_VTRASH_FOLDER_TRASH or CAMEL_VTRASH_FOLDER_JUNK currently.

Returns :

  a new CamelVTrashFolder object